.bmi_vector {
    width: 35vw;
    height: 35vw;
    flex-wrap: wrap;
    display: flex;
    margin: 50px auto;
    position: relative;
}
.bmi_vector_items {
    width: 50%;
}
.Bile {
    position: relative;
    background-image: linear-gradient(to left bottom, #f0df25, #edea6a, #edf39d, #f2facc, #fdfff8);
    height: 50%;
}
.Bile:before {
    position: absolute;
    top: 10px;
    right: 10px;
    content: "صفرا";
    color: #ffffff;
    font-weight: bold;
}
.soda {
    background-image: linear-gradient(to right bottom, #000000, #3d3b3a, #797674, #bab8b3, #fdfff8);
    height: 50%;
}

.soda:before {
    position: absolute;
    top: 10px;
    left: 10px;
    content: "سودا";
    color: #ffffff;
    font-weight: bold;
}
.bellows {
    background-image: linear-gradient(to left top, #ff0000, #fdfff8);
    height: 50%;
}

.bellows:before {
    position: absolute;
    bottom: 10px;
    right: 10px;
    content: "دم";
    color: #ffffff;
    font-weight: bold;
}
.mucus {
    background-image: linear-gradient(to right top, #00e9ff, #80f1e7, #baf5dd, #e3f9e3, #fdfff8);
    height: 50%;
}

.mucus:before {
    position: absolute;
    bottom: 10px;
    left: 10px;
    content: "بلغم";
    color: #ffffff;
    font-weight: bold;
}

.circle {
    width: 80%;
    height: 80%;
    border-radius: 50%;
    border: 4px solid black;
    position: absolute;
    z-index: 10;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 50%;
}
.vertical_line , .horizontal_line {
    background-color: black;
    position: absolute;
    transform: translate(-50% , -50%);
    top: 50%;
    left:50%;
    z-index: 10;
}
.vertical_line {
    width: 4px;
    height: 95%;
}
.horizontal_line {
    height: 4px;
    width: 95%;
}
.right_arrow {
    position: absolute;
    right: -15px;
    top: -10px;
}
.left_arrow {
    position: absolute;
    left: -15px;
    top: -10px;
    transform: rotate(-180deg);
}
.top_arrow {
    position: absolute;
    left: -10px;
    top: -15px;
    transform: rotate(-90deg);
}
.down_arrow {
    position: absolute;
    left: -10px;
    bottom: -15px;
    transform: rotate(90deg);
}
.position {
    position: absolute;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: #16ff00;
    transform: translate(-50%, -50%);
    animation: alarm 1s ease infinite;
}
@keyframes alarm {
    0% {
        background-color: #16ff00;
    }
    25% {
        background-color: transparent;
    }
    50% {
        background-color: #16ff00;
    }
    75% {
        background-color: transparent;
    }
    100% {
        background-color: #16ff00;
    }
}

@media all and (max-width: 900px) {
    .bmi_vector {
        width: 50vw;
        height: 50vw;
    }
}

@media all and (max-width: 600px) {
    .bmi_vector {
        width: 85vw;
        height: 85vw;
    }
}



